SLMPACK(1)

NAME
slmpack - convert the ARPA format of SunPinyin back-off language model to its binary representation

SYNOPSIS
slmpack arpa_file dict_file binary_slm_file

DESCRIPTION
slmpack converts the ARPA format of a threaded SunPinyin back-off language model to its binary representation.

NOTE
If you convert a language model to ARPA format using slminfo, and then convert it back using slmpack, the check-sum of generated binary file may be different from that of the original one. The reason is the padding bits in the n-gram instances are not initialized before writing the data out.

AUTHOR
Originally written by Kov.Chai <tchaikov@gmail.com>. Currently maintained by Kov.Chai <tchaikov@gmail.com>.

SEE ALSO
slminfo(1).